> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get CancellationInsuranceChargeLine entities.

> Fetches CancellationInsuranceChargeLines entities for a reservation.

- Product: Reservations
- Section: Reservation
- Snapshot: Current
- Method: `GET`
- Path: `/api/reservations/{id}/cancellation_insurance`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `organization`

Type: `number`  
Required: yes  

### `token`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.cancellationInsurance({
  id: 0,
  organization: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reservations/$ID/cancellation_insurance" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "token=$TOKEN"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "taxRate": "taxRate",
    "taxTotal": "taxTotal",
    "taxBaseAmount": "taxBaseAmount",
    "totalPrice": "totalPrice",
    "type": "type",
    "amount": "amount",
    "percentage": "percentage"
  }
]
```

##### Schema

###### ReservationCancellationInsuranceChargeLine[]

Type: `ReservationCancellationInsuranceChargeLine[]`  

###### ReservationCancellationInsuranceChargeLine

Type: `ReservationCancellationInsuranceChargeLine`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: no  

###### `amount`

Type: `string`  
Required: no  

###### `percentage`

Type: `string`  
Required: no  

###### `taxRate`

Type: `string`  
Required: yes  

###### `taxTotal`

Type: `string`  
Required: yes  

###### `taxBaseAmount`

Type: `string`  
Required: yes  

###### `totalPrice`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/methods/cancellation-insurance/)
- [TypeScript Markdown](/reservations/methods/cancellation-insurance.md?lang=typescript)
- [curl Markdown](/reservations/methods/cancellation-insurance.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
